diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_add.py
index 11fc64be..80116b54 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_add.py
@@ -10,60 +10,67 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 
 
-class IndexesAddTestCase(BaseTestGenerator):
-    """This class will add new index to existing table column"""
-    scenarios = [
-        ('Add index Node URL', dict(url='/browser/index/obj/'))
-    ]
+class TestIndexesAdd:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_index_add(self, context_of_tests):
+        """
+        When the index add request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_for_column_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
+            raise Exception('Could not find the schema to add a table.')
+
+        table_name = 'table_for_column_%s' % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+
+        index_name = 'test_index_add_%s' % (str(uuid.uuid4())[1:8])
+        data = {'name': index_name,
+                'spcname': 'pg_default',
+                'amname': 'btree',
+                'columns': [
+                    {'colname': 'id', 'sort_order': False, 'nulls': False}]}
+        url = '/browser/index/obj/'
 
-    def runTest(self):
-        """This function will add index to existing table column."""
-        self.index_name = "test_index_add_%s" % (str(uuid.uuid4())[1:8])
-        data = {"name": self.index_name,
-                "spcname": "pg_default",
-                "amname": "btree",
-                "columns": [
-                    {"colname": "id", "sort_order": False, "nulls": False}]}
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/' + str(self.table_id) + '/',
+        response = http_client.post(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' + str(db_id) +
+            '/' + str(schema_id) + '/' + str(table_id) + '/',
             data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'index',
+            'pgadmin.node.index',
+            False,
+            'icon-index',
+            index_name
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
index ae278338..7ca21192 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
@@ -9,74 +9,77 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.column. \
     tests import utils as columns_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as indexes_utils
 
 
-class IndexesDeleteTestCase(BaseTestGenerator):
-    """This class will delete the existing index of column."""
-    scenarios = [
-        ('Delete index Node URL', dict(url='/browser/index/obj/'))
-    ]
+class TestIndexesDelete:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_synonym_delete(self, context_of_tests):
+        """
+        When the Index DELETE request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.column_id = columns_utils.create_column(self.server,
-                                                     self.db_name,
-                                                     self.schema_name,
-                                                     self.table_name,
-                                                     self.column_name)
-        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.index_id = indexes_utils.create_index(self.server, self.db_name,
-                                                   self.schema_name,
-                                                   self.table_name,
-                                                   self.index_name,
-                                                   self.column_name)
+            raise Exception('Could not find the schema to add a table.')
+        table_name = 'table_column_%s' % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+        column_name = 'test_column_delete_%s' % (str(uuid.uuid4())[1:8])
+        columns_utils.create_column(server,
+                                    db_name,
+                                    schema_name,
+                                    table_name,
+                                    column_name)
+        index_name = 'test_index_delete_%s' % (str(uuid.uuid4())[1:8])
+        index_id = indexes_utils.create_index(server, db_name,
+                                              schema_name,
+                                              table_name,
+                                              index_name,
+                                              column_name)
 
-    def runTest(self):
-        """This function will delete index of existing column."""
-        index_response = indexes_utils.verify_index(self.server, self.db_name,
-                                                    self.index_name)
+        index_response = indexes_utils.verify_index(server, db_name,
+                                                    index_name)
         if not index_response:
-            raise Exception("Could not find the index to delete.")
-        response = self.tester.delete(self.url + str(utils.SERVER_GROUP) +
-                                      '/' + str(self.server_id) + '/' +
-                                      str(self.db_id) + '/' +
-                                      str(self.schema_id) + '/' +
-                                      str(self.table_id) + '/' +
-                                      str(self.index_id),
+            raise Exception('Could not find the index to delete.')
+
+        url = '/browser/index/obj/'
+        response = http_client.delete(url + str(utils.SERVER_GROUP) +
+                                      '/' + str(server_id) + '/' +
+                                      str(db_id) + '/' +
+                                      str(schema_id) + '/' +
+                                      str(table_id) + '/' +
+                                      str(index_id),
                                       follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Index is dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
index 3cfd7508..cfe0469e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
@@ -9,69 +9,101 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.column. \
     tests import utils as columns_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as indexes_utils
 
 
-class IndexesGetTestCase(BaseTestGenerator):
-    """This class will fetch the existing index of column."""
-    scenarios = [
-        ('Fetch index Node URL', dict(url='/browser/index/obj/'))
-    ]
+class TestIndexesGet:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_index_get(self, context_of_tests):
+        """
+        When the index GET request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data["db_name"]
+        server_id = server_data["server_id"]
+        db_id = server_data["db_id"]
+        schema_id = server_data["schema_id"]
+        schema_name = server_data["schema_name"]
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.column_id = columns_utils.create_column(self.server,
-                                                     self.db_name,
-                                                     self.schema_name,
-                                                     self.table_name,
-                                                     self.column_name)
-        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.index_id = indexes_utils.create_index(self.server, self.db_name,
-                                                   self.schema_name,
-                                                   self.table_name,
-                                                   self.index_name,
-                                                   self.column_name)
+        table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+        column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
+        columns_utils.create_column(server,
+                                    db_name,
+                                    schema_name,
+                                    table_name,
+                                    column_name)
+        index_name = "test_index_delete_%s" % (str(uuid.uuid4())[1:8])
+        index_id = indexes_utils.create_index(server,
+                                              db_name,
+                                              schema_name,
+                                              table_name,
+                                              index_name,
+                                              column_name)
 
-    def runTest(self):
-        """This function will fetch the existing column index."""
-        response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
-                                                self.index_id),
+        url = '/browser/index/obj/'
+        response = http_client.get(
+            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id, table_id,
+                                                index_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('indnatts') > should.be.equal.to(1)
+        json_response | should.have.key('conoid') > should.be.none
+        json_response | should.have.key('indisprimary') > should.be.false
+        json_response | should.have.key('cols')
+        json_response | should.have.key('tabname') > should.be.equal.to(
+            table_name)
+        json_response | should.have.key('indkey') > should.be.equal.to('4')
+        json_response | should.have.key('indisclustered') > should.be.false
+        json_response | should.have.key('condeferred') > should.be.none
+        json_response | should.have.key('amname') > should.be.equal.to('btree')
+        json_response | should.have.key('contype') > should.be.none
+        json_response | should.have.key('indrelid')
+        json_response | should.have.key('oid')
+        json_response | should.have.key('is_sys_idx') > should.be.false
+        json_response | should.have.key('description') > should.be.none
+        json_response | should.have.key('nspname') > should.be.equal.to(
+            schema_name)
+        json_response | should.have.key('condeferrable') > should.be.none
+        json_response | should.have.key('spcname')
+        json_response | should.have.key('name') > should.be.equal.to(
+            index_name)
+        json_response | should.have.key('indclass')
+        json_response | should.have.key('indisvalid') > should.be.true
+        json_response | should.have.key('indconstraint') > should.be.none
+        json_response | should.have.key('indisunique') > should.be.false
+        json_response | should.have.key('fillfactor') > should.be.none
+        json_response | should.have.key('spcoid')
+
+        json_response | should.have.key('columns') > should.have.length(1)
+        json_response['columns'][0] | should.have.key('op_class') > should.be \
+            .none
+        json_response['columns'][0] | should.have.key('colname') > should.be \
+            .equal.to(column_name)
+        json_response['columns'][0] | should.have.key('collspcname')
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
index 6c2c79d6..9d535e29 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
@@ -10,76 +10,82 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.column. \
     tests import utils as columns_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import assert_json_values_from_response, \
+    convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as indexes_utils
 
 
-class IndexesUpdateTestCase(BaseTestGenerator):
-    """This class will update the existing index of column."""
-    scenarios = [
-        ('Put index Node URL', dict(url='/browser/index/obj/'))
-    ]
+class TestIndexesUpdate:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_index_update(self, context_of_tests):
+        """
+        When the index PUT request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.column_id = columns_utils.create_column(self.server,
-                                                     self.db_name,
-                                                     self.schema_name,
-                                                     self.table_name,
-                                                     self.column_name)
-        self.index_name = "test_index_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.index_id = indexes_utils.create_index(self.server, self.db_name,
-                                                   self.schema_name,
-                                                   self.table_name,
-                                                   self.index_name,
-                                                   self.column_name)
+            raise Exception('Could not find the schema to add a table.')
+        table_name = 'table_column_%s' % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+        column_name = 'test_column_delete_%s' % (str(uuid.uuid4())[1:8])
+        columns_utils.create_column(server,
+                                    db_name,
+                                    schema_name,
+                                    table_name,
+                                    column_name)
+        index_name = 'test_index_delete_%s' % (str(uuid.uuid4())[1:8])
+        index_id = indexes_utils.create_index(server, db_name,
+                                              schema_name,
+                                              table_name,
+                                              index_name,
+                                              column_name)
 
-    def runTest(self):
-        """This function will update the index of existing column."""
-        index_response = indexes_utils.verify_index(self.server, self.db_name,
-                                                    self.index_name)
+        index_response = indexes_utils.verify_index(server, db_name,
+                                                    index_name)
         if not index_response:
-            raise Exception("Could not find the index to update.")
-        data = {"oid": self.index_id,
-                "description": "This is test comment for index"}
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
-                                                self.index_id),
+            raise Exception('Could not find the index to update.')
+
+        data = {'oid': index_id,
+                'description': 'This is test comment for index'}
+        url = '/browser/index/obj/'
+        response = http_client.put(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id, table_id,
+                                                index_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'index',
+            'pgadmin.node.index',
+            False,
+            'icon-index',
+            index_name
+        )
